#include "bits.nt"
; 3D Experiment for measurement of:
; 1JcaHa, (2JCaHb1+2JCaHb2), 2JCbHa, 3JHaHb1, 3JHaHb2, 2JHb1Hb2, 1JCbHb1, 1JCbHb2
; out and back mode : Hb -> Cb -> Ca(t1) -> Cb(t2) -> Hb(t3)
;Cb gradient-enhanced (Echo-Antiecho), CT (14ms or 42ms)
;Ca (States)
;EM 23 March 2004

;Proton pulse:
;p1 = 90 deg 1H pulse @pl1

;Nitrogen pulse:
;p5 = 180 deg 15N hard pulse @pl5

;Carbon pulses:
;p3 = 90 deg 13C hard pulse @pl3
;(p6:sp6):C1 REBURP shape on Cb, on resonance (38->44.5ppm + 30.7ppm (W43) for GB3)
;(p7:sp7):C2 IBURP shape on C', off resonance (150->200 ppm)
;(p8:sp8):C1 REBURP shape on Ca and Cb, off resonance (offset +~6.5ppm) (~20->~70ppm)
;(p9:sp9):C2 HSEQ shape on C' and Carom, on resonance (100->200ppm)
;(p10:sp10):C1 REBURP shape on Ca, on resonance (50->58 ppm for GB3)
;(p12:sp12):C1 REBURP shape on Cb, off resonance

;fq1:C1 13C frequency list: Cb, Ca, Cb (38,54,38 for GB3)

"p26=2m"
"d2=1/135"
"d3=d2/4-p21-5u-p6*0.45"
"d24=p6*0.5-p1"
"d25=(p12-p5)*0.5"
"d27=(p12-p7)*0.5"
"d29=(p9-p5)*0.5"
"d26=p3-p1"
"d13=d2*0.17-p22-2u-p6*0.45"
"d14=d2*0.115-2u-p6*0.45"
"d16=0.5m-p24"
"d17=0.5m-p25"   
"d11=50m"
"d12=1m"

"d8=7m-p28-500u-p8*0.5"
"p28=2m"

"d0=3u"

"d20=5u"
"d21=d6-p8*0.5-p9-5u"      	;d6: CT/2, Cb CT evolution
"d19=d6-p8*0.5-p9-p26-300u-d20"	;d6: CT/2, Cb CT evolution


1 ze
  1m RESET
      1m
      10u
2     d12
3     d12
4     d12
5     d12
6     d12 do:C1 do:H
7     1m LOCK_ON
      d1
      1m LOCK_OFF
      10u pl1:H
      10u pl3:C1
      10u pl5:N
      10u fq1:C1
;********  get rid of 13C boltzman
     (p3 ph0):C1
     10u
     p19:gp19
     500u
;********  INEPT
     (p1 ph0):H
     5u
     p21:gp21
     d3 pl6:C1
     (d24 p1*2 ph0):H (p6:sp6 ph0):C1
     5u pl3:C1
     p21:gp21
     d3 pl3:C1
     (p1 ph11):H
     10u 
     p20:gp20		;need huge gradient
     250u pl3:C1
     (p3 ph17):C1
;;****** INEPT Cb -> Ca transfer
     10u
     d8    		;ct time 1/2JCC
     p28:gp28
     500u pl6:C1
     (p8:sp8 ph0):C1 
     500u pl3:C1
     p28:gp28
     d8
     10u fq1:C1
;;******  Ca lab ******
     (p3 ph18):C1
     d0 pl6:C2 pl6:C1
     (d27 p7:sp7 ph0):C2 (d25 p5 ph0):N (p12:sp12 ph12):C1
     d0 
     p27:gp27
     200u pl6:C1
     3u
     (p10:sp10 ph14):C1
     3u
     p27:gp27
     200u pl6:C2 pl6:C1
     (d27 p7:sp7 ph0):C2 (d25 p5 ph0):N (p12:sp12 ph12):C1
     3u pl3:C1
     3u fq1:C1
;;****** 13Cb evolution in CT: Cb refocusing
     (p3 ph0):C1
     d20 pl6:C2
     (p9:sp9 ph0):C2 (d29 p5 ph0):N
     d19
     p26:gp26*EA
     300u pl6:C1
     (p8:sp8 ph0):C1
     d21 pl6:C2
     (p9:sp9 ph0):C2 (d29 p5 ph0):N
     5u pl3:C1
;--Rance Kay transfer back
       (p3 ph9):C1 (d26 p1 ph0):H
       2u
       p22:gp22
       d13 pl6:C1
       (d24 p1*2 ph0):H (p6:sp6 ph7):C1
       2u 
       p22:gp22
       d13 pl3:C1
       (p1 ph1):H (p3 ph8):C1
       2u
       d14 pl6:C1
       (d24 p1*2 ph0):H (p6:sp6 ph7):C1
       2u
       d14 pl3:C1
       (d26 p1 ph0):H (p3 ph7):C1
       4u
       p24:gp24       ;coherence decoding gradient  0.20218m 60%
       d16
       (p1*2 ph0):H
       2u
       p25:gp25       ;coherence decoding gradient  0.30218m -60%
       d17 pl31:C1
       (2u ph0)
       go=2 ph31
       1m do:C1
       1m LOCK_ON
       d11 wr #0 if #0 zd


d12*0.25 ip9
d12*0.25 ip9
d12*0.5  igrad EA
lo to 3 times 2

d12*0.5 id20
d12*0.5 dd21
lo to 4 times l3 ;CbLOOP

d12*0.25 rd20
d12*0.25 rd21
d12*0.25 ip17
d12*0.25 ip18
lo to 5 times 2

d12*0.5 id0
d12*0.25 ip31
d12*0.25 ip31
lo to 6 times l4 ;CaLOOP

d12
d12
1m RESET
1m LOCK_ON
exit


ph0=0
ph1=1
ph11=1
ph12=0 1 2 3
ph14=0 0 1 1
ph3=3
ph7=0
ph8=1
ph9=0
ph17=1 3
ph18=0
ph31=0 2 2 0
